texmath-0.6.3: Conversion of LaTeX math formulas to MathML or OMML.

Safe Haskell | None

Text.TeXMath.Types

Description

Types for representing a structured formula.

# Documentation

data Exp

Constructors

ENumber String |
EGrouped [Exp] |
EDelimited String String [Exp] |
EIdentifier String |
EMathOperator String |
ESymbol TeXSymbolType String |
ESpace String |
EBinary String Exp Exp |
ESub Exp Exp |
ESuper Exp Exp |
ESubsup Exp Exp Exp |
EOver Exp Exp |
EUnder Exp Exp |
EUnderover Exp Exp Exp |
EUp Exp Exp |
EDown Exp Exp |
EDownup Exp Exp Exp |
EUnary String Exp |
EScaled String Exp |
EStretchy Exp |
EArray [Alignment] [ArrayLine] |
EText TextType String |

Instances

Eq Exp |
Data Exp |
Read Exp |
Show Exp |
Typeable Exp |

data TeXSymbolType

Constructors

Ord |
Op |
Bin |
Rel |
Open |
Close |
Pun |
Accent |

Instances

Eq TeXSymbolType |
Data TeXSymbolType |
Read TeXSymbolType |
Show TeXSymbolType |
Typeable TeXSymbolType |

type ArrayLine = [[Exp]]

data TextType

Constructors

TextNormal |
TextBold |
TextItalic |
TextMonospace |
TextSansSerif |
TextDoubleStruck |
TextScript |
TextFraktur |
TextBoldItalic |
TextBoldSansSerif |
TextBoldSansSerifItalic |
TextBoldScript |
TextBoldFraktur |
TextSansSerifItalic |

Instances

Eq TextType |
Data TextType |
Read TextType |
Show TextType |
Typeable TextType |

data Alignment

Constructors

AlignLeft |
AlignCenter |
AlignRight |
AlignDefault |

Instances

Eq Alignment |
Data Alignment |
Read Alignment |
Show Alignment |
Typeable Alignment |

data DisplayType

Constructors

DisplayBlock |
DisplayInline |

Instances

Show DisplayType |